# Class AttributeName

java.lang.Object
nu.validator.htmlparser.impl.AttributeName

public final class AttributeName extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AttributeName`
`ABBR`
`static final AttributeName`
`ACCENT`
`static final AttributeName`
`ACCENTUNDER`
`static final AttributeName`
`ACCEPT`
`static final AttributeName`
`ACCEPT_CHARSET`
`static final AttributeName`
`ACCESSKEY`
`static final AttributeName`
`ACCUMULATE`
`static final AttributeName`
`ACTION`
`static final AttributeName`
`ACTIONTYPE`
`static final AttributeName`
`ACTIVE`
`static final AttributeName`
`ADDITIVE`
`static final AttributeName`
`ALIGN`
`static final AttributeName`
`ALIGNMENT_BASELINE`
`static final AttributeName`
`ALIGNMENTSCOPE`
`static final AttributeName`
`ALINK`
`static final AttributeName`
`ALT`
`static final AttributeName`
`ALTIMG`
`static final AttributeName`
`ALTTEXT`
`static final AttributeName`
`AMPLITUDE`
`static final AttributeName`
`ARCHIVE`
`static final AttributeName`
`ARIA_ACTIVEDESCENDANT`
`static final AttributeName`
`ARIA_ATOMIC`
`static final AttributeName`
`ARIA_AUTOCOMPLETE`
`static final AttributeName`
`ARIA_BUSY`
`static final AttributeName`
`ARIA_CHANNEL`
`static final AttributeName`
`ARIA_CHECKED`
`static final AttributeName`
`ARIA_CONTROLS`
`static final AttributeName`
`ARIA_DATATYPE`
`static final AttributeName`
`ARIA_DESCRIBEDBY`
`static final AttributeName`
`ARIA_DISABLED`
`static final AttributeName`
`ARIA_DROPEFFECT`
`static final AttributeName`
`ARIA_EXPANDED`
`static final AttributeName`
`ARIA_FLOWTO`
`static final AttributeName`
`ARIA_GRAB`
`static final AttributeName`
`ARIA_HASPOPUP`
`static final AttributeName`
`ARIA_HIDDEN`
`static final AttributeName`
`ARIA_INVALID`
`static final AttributeName`
`ARIA_LABELLEDBY`
`static final AttributeName`
`ARIA_LEVEL`
`static final AttributeName`
`ARIA_LIVE`
`static final AttributeName`
`ARIA_MULTILINE`
`static final AttributeName`
`ARIA_MULTISELECTABLE`
`static final AttributeName`
`ARIA_OWNS`
`static final AttributeName`
`ARIA_POSINSET`
`static final AttributeName`
`ARIA_PRESSED`
`static final AttributeName`
`ARIA_READONLY`
`static final AttributeName`
`ARIA_RELEVANT`
`static final AttributeName`
`ARIA_REQUIRED`
`static final AttributeName`
`ARIA_SECRET`
`static final AttributeName`
`ARIA_SELECTED`
`static final AttributeName`
`ARIA_SETSIZE`
`static final AttributeName`
`ARIA_SORT`
`static final AttributeName`
`ARIA_TEMPLATEID`
`static final AttributeName`
`ARIA_VALUEMAX`
`static final AttributeName`
`ARIA_VALUEMIN`
`static final AttributeName`
`ARIA_VALUENOW`
`static final AttributeName`
`AS`
`static final AttributeName`
`ASYNC`
`static final AttributeName`
`ATTRIBUTENAME`
`static final AttributeName`
`ATTRIBUTETYPE`
`static final AttributeName`
`AUTOCAPITALIZE`
`static final AttributeName`
`AUTOCOMPLETE`
`static final AttributeName`
`AUTOCORRECT`
`static final AttributeName`
`AUTOFOCUS`
`static final AttributeName`
`AUTOPLAY`
`static final AttributeName`
`AXIS`
`static final AttributeName`
`AZIMUTH`
`static final AttributeName`
`BACKGROUND`
`static final AttributeName`
`BASE`
`static final AttributeName`
`BASEFREQUENCY`
`static final AttributeName`
`BASELINE`
`static final AttributeName`
`BASELINE_SHIFT`
`static final AttributeName`
`BASEPROFILE`
`static final AttributeName`
`BEGIN`
`static final AttributeName`
`BEVELLED`
`static final AttributeName`
`BGCOLOR`
`static final AttributeName`
`BIAS`
`static final int`
`BOOLEAN`
`static final AttributeName`
`BORDER`
`static final AttributeName`
`BY`
`static final AttributeName`
`CALCMODE`
`static final int`
`CASE_FOLDED`
`static final AttributeName`
`CELLPADDING`
`static final AttributeName`
`CELLSPACING`
`static final AttributeName`
`CHAR`
`static final AttributeName`
`CHAROFF`
`static final AttributeName`
`CHARSET`
`static final AttributeName`
`CHECKED`
`static final AttributeName`
`CITE`
`static final AttributeName`
`CLASS`
`static final AttributeName`
`CLASSID`
`static final AttributeName`
`CLEAR`
`static final AttributeName`
`CLIP`
`static final AttributeName`
`CLIP_PATH`
`static final AttributeName`
`CLIP_RULE`
`static final AttributeName`
`CLIPPATHUNITS`
`static final AttributeName`
`CLOSE`
`static final AttributeName`
`CLOSURE`
`static final AttributeName`
`CODE`
`static final AttributeName`
`CODEBASE`
`static final AttributeName`
`CODETYPE`
`static final AttributeName`
`COLOR`
`static final AttributeName`
`COLOR_INTERPOLATION`
`static final AttributeName`
`COLOR_INTERPOLATION_FILTERS`
`static final AttributeName`
`COLOR_PROFILE`
`static final AttributeName`
`COLOR_RENDERING`
`static final AttributeName`
`COLS`
`static final AttributeName`
`COLSPAN`
`static final AttributeName`
`COLUMNALIGN`
`static final AttributeName`
`COLUMNLINES`
`static final AttributeName`
`COLUMNSPACING`
`static final AttributeName`
`COLUMNSPAN`
`static final AttributeName`
`COLUMNWIDTH`
`static final AttributeName`
`COMPACT`
`static final AttributeName`
`CONTENT`
`static final AttributeName`
`CONTENTEDITABLE`
`static final AttributeName`
`CONTEXTMENU`
`static final AttributeName`
`CONTROLS`
`static final AttributeName`
`COORDS`
`static final AttributeName`
`CROSSORIGIN`
`static final AttributeName`
`CURSOR`
`static final AttributeName`
`CX`
`static final AttributeName`
`CY`
`static final AttributeName`
`D`
`static final AttributeName`
`DATA`
`static final AttributeName`
`DATETIME`
`static final AttributeName`
`DECLARE`
`static final AttributeName`
`DEFAULT`
`static final AttributeName`
`DEFER`
`static final AttributeName`
`DEFINITIONURL`
`static final AttributeName`
`DEPTH`
`static final AttributeName`
`DIFFUSECONSTANT`
`static final AttributeName`
`DIR`
`static final AttributeName`
`DIRECTION`
`static final AttributeName`
`DISABLED`
`static final AttributeName`
`DISPLAY`
`static final AttributeName`
`DISPLAYSTYLE`
`static final AttributeName`
`DIVISOR`
`static final AttributeName`
`DOMINANT_BASELINE`
`static final AttributeName`
`DRAGGABLE`
`static final AttributeName`
`DUR`
`static final AttributeName`
`DX`
`static final AttributeName`
`DY`
`static final AttributeName`
`EDGE`
`static final AttributeName`
`EDGEMODE`
`static final AttributeName`
`ELEVATION`
`static final AttributeName`
`ENABLE_BACKGROUND`
`static final AttributeName`
`ENCODING`
`static final AttributeName`
`ENCTYPE`
`static final AttributeName`
`END`
`static final AttributeName`
`ENTERKEYHINT`
`static final AttributeName`
`EQUALCOLUMNS`
`static final AttributeName`
`EQUALROWS`
`static final AttributeName`
`EVENT`
`static final AttributeName`
`EXPONENT`
`static final AttributeName`
`FACE`
`static final AttributeName`
`FENCE`
`static final AttributeName`
`FETCHPRIORITY`
`static final AttributeName`
`FILL`
`static final AttributeName`
`FILL_OPACITY`
`static final AttributeName`
`FILL_RULE`
`static final AttributeName`
`FILTER`
`static final AttributeName`
`FILTERUNITS`
`static final AttributeName`
`FLOOD_COLOR`
`static final AttributeName`
`FLOOD_OPACITY`
`static final AttributeName`
`FONT_FAMILY`
`static final AttributeName`
`FONT_SIZE`
`static final AttributeName`
`FONT_SIZE_ADJUST`
`static final AttributeName`
`FONT_STRETCH`
`static final AttributeName`
`FONT_STYLE`
`static final AttributeName`
`FONT_VARIANT`
`static final AttributeName`
`FONT_WEIGHT`
`static final AttributeName`
`FONTFAMILY`
`static final AttributeName`
`FONTSIZE`
`static final AttributeName`
`FONTSTYLE`
`static final AttributeName`
`FONTWEIGHT`
`static final AttributeName`
`FOR`
`static final AttributeName`
`FORM`
`static final AttributeName`
`FORMAT`
`static final AttributeName`
`FRAME`
`static final AttributeName`
`FRAMEBORDER`
`static final AttributeName`
`FRAMESPACING`
`static final AttributeName`
`FROM`
`static final AttributeName`
`FX`
`static final AttributeName`
`FY`
`static final AttributeName`
`GLYPH_ORIENTATION_HORIZONTAL`
`static final AttributeName`
`GLYPH_ORIENTATION_VERTICAL`
`static final AttributeName`
`GLYPHREF`
`static final AttributeName`
`GRADIENTTRANSFORM`
`static final AttributeName`
`GRADIENTUNITS`
`static final AttributeName`
`GROUPALIGN`
`static final AttributeName`
`HEADERS`
`static final AttributeName`
`HEIGHT`
`static final AttributeName`
`HIDDEN`
`static final AttributeName`
`HIGH`
`static final AttributeName`
`HREF`
`static final AttributeName`
`HREFLANG`
`static final AttributeName`
`HSPACE`
`static final int`
`HTML`
The mode value for HTML.
`static final int`
`HTML_LANG`
The mode value for lang-mapping HTML.
`static final AttributeName`
`HTTP_EQUIV`
`static final AttributeName`
`ICON`
`static final AttributeName`
`ID`
`static final AttributeName`
`IMAGE_RENDERING`
`static final AttributeName`
`IMAGESIZES`
`static final AttributeName`
`IMAGESRCSET`
`static final AttributeName`
`IN`
`static final AttributeName`
`IN2`
`static final AttributeName`
`INDEX`
`static final AttributeName`
`INPUTMODE`
`static final AttributeName`
`INTEGRITY`
`static final AttributeName`
`INTERCEPT`
`static final AttributeName`
`IS`
`static final int`
`IS_XMLNS`
`static final AttributeName`
`ISMAP`
`static final AttributeName`
`K1`
`static final AttributeName`
`K2`
`static final AttributeName`
`K3`
`static final AttributeName`
`K4`
`static final AttributeName`
`KERNELMATRIX`
`static final AttributeName`
`KERNELUNITLENGTH`
`static final AttributeName`
`KERNING`
`static final AttributeName`
`KEYPOINTS`
`static final AttributeName`
`KEYSPLINES`
`static final AttributeName`
`KEYSYSTEM`
`static final AttributeName`
`KEYTIMES`
`static final AttributeName`
`LABEL`
`static final AttributeName`
`LANG`
`static final AttributeName`
`LANGUAGE`
`static final AttributeName`
`LARGEOP`
`static final AttributeName`
`LENGTHADJUST`
`static final AttributeName`
`LETTER_SPACING`
`static final AttributeName`
`LIGHTING_COLOR`
`static final AttributeName`
`LIMITINGCONEANGLE`
`static final AttributeName`
`LINEBREAK`
`static final AttributeName`
`LINETHICKNESS`
`static final AttributeName`
`LINK`
`static final AttributeName`
`LIST`
`static final AttributeName`
`LOADING`
`static final AttributeName`
`LOCAL`
`static final AttributeName`
`LONGDESC`
`static final AttributeName`
`LOOP`
`static final AttributeName`
`LOW`
`static final AttributeName`
`LOWSRC`
`static final AttributeName`
`LQUOTE`
`static final AttributeName`
`LSPACE`
`static final AttributeName`
`MANIFEST`
`static final AttributeName`
`MARGINHEIGHT`
`static final AttributeName`
`MARGINWIDTH`
`static final AttributeName`
`MARKER_END`
`static final AttributeName`
`MARKER_MID`
`static final AttributeName`
`MARKER_START`
`static final AttributeName`
`MARKERHEIGHT`
`static final AttributeName`
`MARKERUNITS`
`static final AttributeName`
`MARKERWIDTH`
`static final AttributeName`
`MASK`
`static final AttributeName`
`MASKCONTENTUNITS`
`static final AttributeName`
`MASKUNITS`
`static final AttributeName`
`MATHBACKGROUND`
`static final AttributeName`
`MATHCOLOR`
`static final int`
`MATHML`
The mode value for MathML.
`static final AttributeName`
`MATHSIZE`
`static final AttributeName`
`MATHVARIANT`
`static final AttributeName`
`MAX`
`static final AttributeName`
`MAXLENGTH`
`static final AttributeName`
`MAXSIZE`
`static final AttributeName`
`MEDIA`
`static final AttributeName`
`METHOD`
`static final AttributeName`
`MIN`
`static final AttributeName`
`MINSIZE`
`static final AttributeName`
`MODE`
`static final AttributeName`
`MOVABLELIMITS`
`static final AttributeName`
`MULTIPLE`
`static final AttributeName`
`NAME`
`static final int`
`NCNAME_FOREIGN`
`static final int`
`NCNAME_HTML`
`static final int`
`NCNAME_LANG`
`static final AttributeName`
`NOHREF`
`static final AttributeName`
`NOMODULE`
`static final AttributeName`
`NONCE`
`static final AttributeName`
`NORESIZE`
`static final AttributeName`
`NOSHADE`
`static final AttributeName`
`NOTATION`
`static final AttributeName`
`NOWRAP`
`static final AttributeName`
`NUMOCTAVES`
`static final AttributeName`
`OBJECT`
`static final AttributeName`
`OFFSET`
`static final AttributeName`
`ONABORT`
`static final AttributeName`
`ONACTIVATE`
`static final AttributeName`
`ONAFTERPRINT`
`static final AttributeName`
`ONBEFORECOPY`
`static final AttributeName`
`ONBEFORECUT`
`static final AttributeName`
`ONBEFOREPASTE`
`static final AttributeName`
`ONBEFOREPRINT`
`static final AttributeName`
`ONBEFOREUNLOAD`
`static final AttributeName`
`ONBEGIN`
`static final AttributeName`
`ONBLUR`
`static final AttributeName`
`ONCHANGE`
`static final AttributeName`
`ONCLICK`
`static final AttributeName`
`ONCONTEXTMENU`
`static final AttributeName`
`ONCOPY`
`static final AttributeName`
`ONCUT`
`static final AttributeName`
`ONDATAAVAILABLE`
`static final AttributeName`
`ONDBLCLICK`
`static final AttributeName`
`ONDRAG`
`static final AttributeName`
`ONDRAGDROP`
`static final AttributeName`
`ONDRAGEND`
`static final AttributeName`
`ONDRAGENTER`
`static final AttributeName`
`ONDRAGLEAVE`
`static final AttributeName`
`ONDRAGOVER`
`static final AttributeName`
`ONDRAGSTART`
`static final AttributeName`
`ONDROP`
`static final AttributeName`
`ONEND`
`static final AttributeName`
`ONERROR`
`static final AttributeName`
`ONFINISH`
`static final AttributeName`
`ONFOCUS`
`static final AttributeName`
`ONFOCUSIN`
`static final AttributeName`
`ONFOCUSOUT`
`static final AttributeName`
`ONINPUT`
`static final AttributeName`
`ONINVALID`
`static final AttributeName`
`ONKEYDOWN`
`static final AttributeName`
`ONKEYPRESS`
`static final AttributeName`
`ONKEYUP`
`static final AttributeName`
`ONLOAD`
`static final AttributeName`
`ONMESSAGE`
`static final AttributeName`
`ONMOUSEDOWN`
`static final AttributeName`
`ONMOUSEENTER`
`static final AttributeName`
`ONMOUSELEAVE`
`static final AttributeName`
`ONMOUSEMOVE`
`static final AttributeName`
`ONMOUSEOUT`
`static final AttributeName`
`ONMOUSEOVER`
`static final AttributeName`
`ONMOUSEUP`
`static final AttributeName`
`ONMOUSEWHEEL`
`static final AttributeName`
`ONPASTE`
`static final AttributeName`
`ONREADYSTATECHANGE`
`static final AttributeName`
`ONREPEAT`
`static final AttributeName`
`ONRESET`
`static final AttributeName`
`ONRESIZE`
`static final AttributeName`
`ONSCROLL`
`static final AttributeName`
`ONSELECT`
`static final AttributeName`
`ONSELECTSTART`
`static final AttributeName`
`ONSTART`
`static final AttributeName`
`ONSTOP`
`static final AttributeName`
`ONSUBMIT`
`static final AttributeName`
`ONUNLOAD`
`static final AttributeName`
`ONZOOM`
`static final AttributeName`
`OPACITY`
`static final AttributeName`
`OPEN`
`static final AttributeName`
`OPERATOR`
`static final AttributeName`
`OPTIMUM`
`static final AttributeName`
`ORDER`
`static final AttributeName`
`ORIENT`
`static final AttributeName`
`ORIENTATION`
`static final AttributeName`
`ORIGIN`
`static final AttributeName`
`OTHER`
`static final AttributeName`
`OVERFLOW`
`static final AttributeName`
`PATH`
`static final AttributeName`
`PATHLENGTH`
`static final AttributeName`
`PATTERN`
`static final AttributeName`
`PATTERNCONTENTUNITS`
`static final AttributeName`
`PATTERNTRANSFORM`
`static final AttributeName`
`PATTERNUNITS`
`static final AttributeName`
`PING`
`static final AttributeName`
`POINTER_EVENTS`
`static final AttributeName`
`POINTS`
`static final AttributeName`
`POINTSATX`
`static final AttributeName`
`POINTSATY`
`static final AttributeName`
`POINTSATZ`
`static final AttributeName`
`POSTER`
`static final AttributeName`
`PRESERVEALPHA`
`static final AttributeName`
`PRESERVEASPECTRATIO`
`static final AttributeName`
`PRIMITIVEUNITS`
`static final AttributeName`
`PROFILE`
`static final AttributeName`
`PROMPT`
`static final AttributeName`
`PROPERTY`
`static final AttributeName`
`R`
`static final AttributeName`
`RADIOGROUP`
`static final AttributeName`
`RADIUS`
`static final AttributeName`
`READONLY`
`static final AttributeName`
`REFERRERPOLICY`
`static final AttributeName`
`REFX`
`static final AttributeName`
`REFY`
`static final AttributeName`
`REL`
`static final AttributeName`
`RENDERING_INTENT`
`static final AttributeName`
`REPEAT`
`static final AttributeName`
`REPEATCOUNT`
`static final AttributeName`
`REPEATDUR`
`static final AttributeName`
`REPLACE`
`static final AttributeName`
`REQUIRED`
`static final AttributeName`
`REQUIREDEXTENSIONS`
`static final AttributeName`
`REQUIREDFEATURES`
`static final AttributeName`
`RESTART`
`static final AttributeName`
`RESULT`
`static final AttributeName`
`REV`
`static final AttributeName`
`ROLE`
`static final AttributeName`
`ROTATE`
`static final AttributeName`
`ROWALIGN`
`static final AttributeName`
`ROWLINES`
`static final AttributeName`
`ROWS`
`static final AttributeName`
`ROWSPACING`
`static final AttributeName`
`ROWSPAN`
`static final AttributeName`
`RQUOTE`
`static final AttributeName`
`RSPACE`
`static final AttributeName`
`RT`
`static final AttributeName`
`RULES`
`static final AttributeName`
`RX`
`static final AttributeName`
`RY`
`static final AttributeName`
`SANDBOX`
`static final AttributeName`
`SCALE`
`static final AttributeName`
`SCHEME`
`static final AttributeName`
`SCOPE`
`static final AttributeName`
`SCOPED`
`static final AttributeName`
`SCRIPTLEVEL`
`static final AttributeName`
`SCRIPTMINSIZE`
`static final AttributeName`
`SCRIPTSIZEMULTIPLIER`
`static final AttributeName`
`SCROLLING`
`static final AttributeName`
`SEED`
`static final AttributeName`
`SELECTED`
`static final AttributeName`
`SELECTION`
`static final AttributeName`
`SEPARATOR`
`static final AttributeName`
`SEPARATORS`
`static final AttributeName`
`SHADOWROOTCLONABLE`
`static final AttributeName`
`SHADOWROOTCUSTOMELEMENTREGISTRY`
`static final AttributeName`
`SHADOWROOTDELEGATESFOCUS`
`static final AttributeName`
`SHADOWROOTMODE`
`static final AttributeName`
`SHADOWROOTREFERENCETARGET`
`static final AttributeName`
`SHADOWROOTSERIALIZABLE`
`static final AttributeName`
`SHADOWROOTSLOTASSIGNMENT`
`static final AttributeName`
`SHAPE`
`static final AttributeName`
`SHAPE_RENDERING`
`static final AttributeName`
`SIZE`
`static final AttributeName`
`SIZES`
`static final AttributeName`
`SLOPE`
`static final AttributeName`
`SPACING`
`static final AttributeName`
`SPAN`
`static final AttributeName`
`SPECULARCONSTANT`
`static final AttributeName`
`SPECULAREXPONENT`
`static final AttributeName`
`SPREADMETHOD`
`static final AttributeName`
`SRC`
`static final AttributeName`
`SRCDOC`
`static final AttributeName`
`SRCSET`
`static final AttributeName`
`STANDBY`
`static final AttributeName`
`START`
`static final AttributeName`
`STARTOFFSET`
`static final AttributeName`
`STDDEVIATION`
`static final AttributeName`
`STEP`
`static final AttributeName`
`STITCHTILES`
`static final AttributeName`
`STOP_COLOR`
`static final AttributeName`
`STOP_OPACITY`
`static final AttributeName`
`STRETCHY`
`static final AttributeName`
`STROKE`
`static final AttributeName`
`STROKE_DASHARRAY`
`static final AttributeName`
`STROKE_DASHOFFSET`
`static final AttributeName`
`STROKE_LINECAP`
`static final AttributeName`
`STROKE_LINEJOIN`
`static final AttributeName`
`STROKE_MITERLIMIT`
`static final AttributeName`
`STROKE_OPACITY`
`static final AttributeName`
`STROKE_WIDTH`
`static final AttributeName`
`STYLE`
`static final AttributeName`
`SUBSCRIPTSHIFT`
`static final AttributeName`
`SUMMARY`
`static final AttributeName`
`SUPERSCRIPTSHIFT`
`static final AttributeName`
`SURFACESCALE`
`static final int`
`SVG`
The mode value for SVG.
`static final AttributeName`
`SYMMETRIC`
`static final AttributeName`
`SYSTEMLANGUAGE`
`static final AttributeName`
`TABINDEX`
`static final AttributeName`
`TABLEVALUES`
`static final AttributeName`
`TARGET`
`static final AttributeName`
`TARGETX`
`static final AttributeName`
`TARGETY`
`static final AttributeName`
`TEMPLATE`
`static final AttributeName`
`TEXT`
`static final AttributeName`
`TEXT_ANCHOR`
`static final AttributeName`
`TEXT_DECORATION`
`static final AttributeName`
`TEXT_RENDERING`
`static final AttributeName`
`TEXTLENGTH`
`static final AttributeName`
`TITLE`
`static final AttributeName`
`TO`
`static final AttributeName`
`TRANSFORM`
`static final AttributeName`
`TRANSFORM_ORIGIN`
`static final AttributeName`
`TYPE`
`static final AttributeName`
`USEMAP`
`static final AttributeName`
`VALIGN`
`static final AttributeName`
`VALUE`
`static final AttributeName`
`VALUES`
`static final AttributeName`
`VALUETYPE`
`static final AttributeName`
`VERSION`
`static final AttributeName`
`VIEWBOX`
`static final AttributeName`
`VIEWTARGET`
`static final AttributeName`
`VISIBILITY`
`static final AttributeName`
`VLINK`
`static final AttributeName`
`VSPACE`
`static final AttributeName`
`WHEN`
`static final AttributeName`
`WIDTH`
`static final AttributeName`
`WORD_SPACING`
`static final AttributeName`
`WRAP`
`static final AttributeName`
`WRITING_MODE`
`static final AttributeName`
`X`
`static final AttributeName`
`X1`
`static final AttributeName`
`X2`
`static final AttributeName`
`XCHANNELSELECTOR`
`static final AttributeName`
`XLINK_ACTUATE`
`static final AttributeName`
`XLINK_ARCROLE`
`static final AttributeName`
`XLINK_HREF`
`static final AttributeName`
`XLINK_ROLE`
`static final AttributeName`
`XLINK_SHOW`
`static final AttributeName`
`XLINK_TITLE`
`static final AttributeName`
`XLINK_TYPE`
`static final AttributeName`
`XML_LANG`
`static final AttributeName`
`XML_SPACE`
`static final AttributeName`
`XMLNS`
`static final AttributeName`
`XMLNS_XLINK`
`static final AttributeName`
`XREF`
`static final AttributeName`
`Y`
`static final AttributeName`
`Y1`
`static final AttributeName`
`Y2`
`static final AttributeName`
`YCHANNELSELECTOR`
`static final AttributeName`
`Z`
`static final AttributeName`
`ZOOMANDPAN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocal(int mode)`
`String`
`getPrefix(int mode)`
`String`
`getQName(int mode)`
`String`
`getUri(int mode)`
`boolean`
`isNcName(int mode)`
Queries whether this name is an XML 1.0 4th ed.
`boolean`
`isXmlns()`
Queries whether this is an `xmlns` attribute.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NCNAME_HTML

public static final int NCNAME_HTML

See Also:
  - Constant Field Values

### NCNAME_FOREIGN

public static final int NCNAME_FOREIGN

See Also:
  - Constant Field Values

### NCNAME_LANG

public static final int NCNAME_LANG

See Also:
  - Constant Field Values

### IS_XMLNS

public static final int IS_XMLNS

See Also:
  - Constant Field Values

### CASE_FOLDED

public static final int CASE_FOLDED

See Also:
  - Constant Field Values

### BOOLEAN

public static final int BOOLEAN

See Also:
  - Constant Field Values

### HTML

public static final int HTML
The mode value for HTML.

See Also:
  - Constant Field Values

### MATHML

public static final int MATHML
The mode value for MathML.

See Also:
  - Constant Field Values

### SVG

public static final int SVG
The mode value for SVG.

See Also:
  - Constant Field Values

### HTML_LANG

public static final int HTML_LANG
The mode value for lang-mapping HTML.

See Also:
  - Constant Field Values

### ALT

public static final AttributeName ALT

### DIR

public static final AttributeName DIR

### DUR

public static final AttributeName DUR

### END

public static final AttributeName END

### FOR

public static final AttributeName FOR

### IN2

public static final AttributeName IN2

### LOW

public static final AttributeName LOW

### MIN

public static final AttributeName MIN

### MAX

public static final AttributeName MAX

### REL

public static final AttributeName REL

### REV

public static final AttributeName REV

### SRC

public static final AttributeName SRC

### D

public static final AttributeName D

### R

public static final AttributeName R

### X

public static final AttributeName X

### Y

public static final AttributeName Y

### Z

public static final AttributeName Z

### K1

public static final AttributeName K1

### X1

public static final AttributeName X1

### Y1

public static final AttributeName Y1

### K2

public static final AttributeName K2

### X2

public static final AttributeName X2

### Y2

public static final AttributeName Y2

### K3

public static final AttributeName K3

### K4

public static final AttributeName K4

### XML_SPACE

public static final AttributeName XML_SPACE

### XML_LANG

public static final AttributeName XML_LANG

### ARIA_GRAB

public static final AttributeName ARIA_GRAB

### ARIA_VALUEMAX

public static final AttributeName ARIA_VALUEMAX

### ARIA_LABELLEDBY

public static final AttributeName ARIA_LABELLEDBY

### ARIA_DESCRIBEDBY

public static final AttributeName ARIA_DESCRIBEDBY

### ARIA_DISABLED

public static final AttributeName ARIA_DISABLED

### ARIA_CHECKED

public static final AttributeName ARIA_CHECKED

### ARIA_SELECTED

public static final AttributeName ARIA_SELECTED

### ARIA_DROPEFFECT

public static final AttributeName ARIA_DROPEFFECT

### ARIA_REQUIRED

public static final AttributeName ARIA_REQUIRED

### ARIA_EXPANDED

public static final AttributeName ARIA_EXPANDED

### ARIA_PRESSED

public static final AttributeName ARIA_PRESSED

### ARIA_LEVEL

public static final AttributeName ARIA_LEVEL

### ARIA_CHANNEL

public static final AttributeName ARIA_CHANNEL

### ARIA_HIDDEN

public static final AttributeName ARIA_HIDDEN

### ARIA_SECRET

public static final AttributeName ARIA_SECRET

### ARIA_POSINSET

public static final AttributeName ARIA_POSINSET

### ARIA_ATOMIC

public static final AttributeName ARIA_ATOMIC

### ARIA_INVALID

public static final AttributeName ARIA_INVALID

### ARIA_TEMPLATEID

public static final AttributeName ARIA_TEMPLATEID

### ARIA_VALUEMIN

public static final AttributeName ARIA_VALUEMIN

### ARIA_MULTISELECTABLE

public static final AttributeName ARIA_MULTISELECTABLE

### ARIA_CONTROLS

public static final AttributeName ARIA_CONTROLS

### ARIA_MULTILINE

public static final AttributeName ARIA_MULTILINE

### ARIA_READONLY

public static final AttributeName ARIA_READONLY

### ARIA_OWNS

public static final AttributeName ARIA_OWNS

### ARIA_ACTIVEDESCENDANT

public static final AttributeName ARIA_ACTIVEDESCENDANT

### ARIA_RELEVANT

public static final AttributeName ARIA_RELEVANT

### ARIA_DATATYPE

public static final AttributeName ARIA_DATATYPE

### ARIA_VALUENOW

public static final AttributeName ARIA_VALUENOW

### ARIA_SORT

public static final AttributeName ARIA_SORT

### ARIA_AUTOCOMPLETE

public static final AttributeName ARIA_AUTOCOMPLETE

### ARIA_FLOWTO

public static final AttributeName ARIA_FLOWTO

### ARIA_BUSY

public static final AttributeName ARIA_BUSY

### ARIA_LIVE

public static final AttributeName ARIA_LIVE

### ARIA_HASPOPUP

public static final AttributeName ARIA_HASPOPUP

### ARIA_SETSIZE

public static final AttributeName ARIA_SETSIZE

### CLEAR

public static final AttributeName CLEAR

### DISABLED

public static final AttributeName DISABLED

### DEFAULT

public static final AttributeName DEFAULT

### DATA

public static final AttributeName DATA

### EQUALCOLUMNS

public static final AttributeName EQUALCOLUMNS

### EQUALROWS

public static final AttributeName EQUALROWS

### HSPACE

public static final AttributeName HSPACE

### ISMAP

public static final AttributeName ISMAP

### LOCAL

public static final AttributeName LOCAL

### LSPACE

public static final AttributeName LSPACE

### MOVABLELIMITS

public static final AttributeName MOVABLELIMITS

### NOTATION

public static final AttributeName NOTATION

### ONDATAAVAILABLE

public static final AttributeName ONDATAAVAILABLE

### ONPASTE

public static final AttributeName ONPASTE

### RSPACE

public static final AttributeName RSPACE

### ROWALIGN

public static final AttributeName ROWALIGN

### ROTATE

public static final AttributeName ROTATE

### SEPARATOR

public static final AttributeName SEPARATOR

### SEPARATORS

public static final AttributeName SEPARATORS

### VSPACE

public static final AttributeName VSPACE

### XCHANNELSELECTOR

public static final AttributeName XCHANNELSELECTOR

### YCHANNELSELECTOR

public static final AttributeName YCHANNELSELECTOR

### ENABLE_BACKGROUND

public static final AttributeName ENABLE_BACKGROUND

### ONDBLCLICK

public static final AttributeName ONDBLCLICK

### ONABORT

public static final AttributeName ONABORT

### CALCMODE

public static final AttributeName CALCMODE

### CHECKED

public static final AttributeName CHECKED

### FENCE

public static final AttributeName FENCE

### FETCHPRIORITY

public static final AttributeName FETCHPRIORITY

### NONCE

public static final AttributeName NONCE

### ONSCROLL

public static final AttributeName ONSCROLL

### ONACTIVATE

public static final AttributeName ONACTIVATE

### OPACITY

public static final AttributeName OPACITY

### SPACING

public static final AttributeName SPACING

### SPECULAREXPONENT

public static final AttributeName SPECULAREXPONENT

### SPECULARCONSTANT

public static final AttributeName SPECULARCONSTANT

### BORDER

public static final AttributeName BORDER

### ID

public static final AttributeName ID

### GRADIENTTRANSFORM

public static final AttributeName GRADIENTTRANSFORM

### GRADIENTUNITS

public static final AttributeName GRADIENTUNITS

### HIDDEN

public static final AttributeName HIDDEN

### HEADERS

public static final AttributeName HEADERS

### LOADING

public static final AttributeName LOADING

### READONLY

public static final AttributeName READONLY

### RENDERING_INTENT

public static final AttributeName RENDERING_INTENT

### SHADOWROOTMODE

public static final AttributeName SHADOWROOTMODE

### SEED

public static final AttributeName SEED

### SHADOWROOTREFERENCETARGET

public static final AttributeName SHADOWROOTREFERENCETARGET

### SHADOWROOTCLONABLE

public static final AttributeName SHADOWROOTCLONABLE

### SHADOWROOTSERIALIZABLE

public static final AttributeName SHADOWROOTSERIALIZABLE

### SRCDOC

public static final AttributeName SRCDOC

### STDDEVIATION

public static final AttributeName STDDEVIATION

### SANDBOX

public static final AttributeName SANDBOX

### SHADOWROOTCUSTOMELEMENTREGISTRY

public static final AttributeName SHADOWROOTCUSTOMELEMENTREGISTRY

### SHADOWROOTDELEGATESFOCUS

public static final AttributeName SHADOWROOTDELEGATESFOCUS

### SHADOWROOTSLOTASSIGNMENT

public static final AttributeName SHADOWROOTSLOTASSIGNMENT

### WORD_SPACING

public static final AttributeName WORD_SPACING

### ACCENTUNDER

public static final AttributeName ACCENTUNDER

### ACCEPT_CHARSET

public static final AttributeName ACCEPT_CHARSET

### ACCESSKEY

public static final AttributeName ACCESSKEY

### ACCENT

public static final AttributeName ACCENT

### ACCEPT

public static final AttributeName ACCEPT

### BEVELLED

public static final AttributeName BEVELLED

### BASEFREQUENCY

public static final AttributeName BASEFREQUENCY

### BASELINE_SHIFT

public static final AttributeName BASELINE_SHIFT

### BASEPROFILE

public static final AttributeName BASEPROFILE

### BASELINE

public static final AttributeName BASELINE

### BASE

public static final AttributeName BASE

### CODE

public static final AttributeName CODE

### CODETYPE

public static final AttributeName CODETYPE

### CODEBASE

public static final AttributeName CODEBASE

### CITE

public static final AttributeName CITE

### DEFER

public static final AttributeName DEFER

### DATETIME

public static final AttributeName DATETIME

### DIRECTION

public static final AttributeName DIRECTION

### EDGEMODE

public static final AttributeName EDGEMODE

### EDGE

public static final AttributeName EDGE

### ENTERKEYHINT

public static final AttributeName ENTERKEYHINT

### FACE

public static final AttributeName FACE

### INDEX

public static final AttributeName INDEX

### INTERCEPT

public static final AttributeName INTERCEPT

### INTEGRITY

public static final AttributeName INTEGRITY

### LINEBREAK

public static final AttributeName LINEBREAK

### LABEL

public static final AttributeName LABEL

### LINETHICKNESS

public static final AttributeName LINETHICKNESS

### MODE

public static final AttributeName MODE

### NAME

public static final AttributeName NAME

### NORESIZE

public static final AttributeName NORESIZE

### ONBEFOREUNLOAD

public static final AttributeName ONBEFOREUNLOAD

### ONREPEAT

public static final AttributeName ONREPEAT

### OBJECT

public static final AttributeName OBJECT

### ONSELECT

public static final AttributeName ONSELECT

### ORDER

public static final AttributeName ORDER

### OTHER

public static final AttributeName OTHER

### ONRESET

public static final AttributeName ONRESET

### ONREADYSTATECHANGE

public static final AttributeName ONREADYSTATECHANGE

### ONMESSAGE

public static final AttributeName ONMESSAGE

### ONBEGIN

public static final AttributeName ONBEGIN

### ONBEFOREPRINT

public static final AttributeName ONBEFOREPRINT

### ORIENT

public static final AttributeName ORIENT

### ORIENTATION

public static final AttributeName ORIENTATION

### ONBEFORECOPY

public static final AttributeName ONBEFORECOPY

### ONSELECTSTART

public static final AttributeName ONSELECTSTART

### ONBEFOREPASTE

public static final AttributeName ONBEFOREPASTE

### ONKEYPRESS

public static final AttributeName ONKEYPRESS

### ONKEYUP

public static final AttributeName ONKEYUP

### ONBEFORECUT

public static final AttributeName ONBEFORECUT

### ONKEYDOWN

public static final AttributeName ONKEYDOWN

### ONRESIZE

public static final AttributeName ONRESIZE

### REPEAT

public static final AttributeName REPEAT

### REFERRERPOLICY

public static final AttributeName REFERRERPOLICY

### RULES

public static final AttributeName RULES

### ROLE

public static final AttributeName ROLE

### REPEATCOUNT

public static final AttributeName REPEATCOUNT

### REPEATDUR

public static final AttributeName REPEATDUR

### SELECTED

public static final AttributeName SELECTED

### SIZES

public static final AttributeName SIZES

### SUPERSCRIPTSHIFT

public static final AttributeName SUPERSCRIPTSHIFT

### STRETCHY

public static final AttributeName STRETCHY

### SCHEME

public static final AttributeName SCHEME

### SPREADMETHOD

public static final AttributeName SPREADMETHOD

### SELECTION

public static final AttributeName SELECTION

### SIZE

public static final AttributeName SIZE

### TYPE

public static final AttributeName TYPE

### DIFFUSECONSTANT

public static final AttributeName DIFFUSECONSTANT

### HREF

public static final AttributeName HREF

### HREFLANG

public static final AttributeName HREFLANG

### ONAFTERPRINT

public static final AttributeName ONAFTERPRINT

### PROFILE

public static final AttributeName PROFILE

### SURFACESCALE

public static final AttributeName SURFACESCALE

### XREF

public static final AttributeName XREF

### ALIGN

public static final AttributeName ALIGN

### ALIGNMENT_BASELINE

public static final AttributeName ALIGNMENT_BASELINE

### ALIGNMENTSCOPE

public static final AttributeName ALIGNMENTSCOPE

### DRAGGABLE

public static final AttributeName DRAGGABLE

### HEIGHT

public static final AttributeName HEIGHT

### IMAGESIZES

public static final AttributeName IMAGESIZES

### IMAGESRCSET

public static final AttributeName IMAGESRCSET

### IMAGE_RENDERING

public static final AttributeName IMAGE_RENDERING

### LANGUAGE

public static final AttributeName LANGUAGE

### LANG

public static final AttributeName LANG

### LARGEOP

public static final AttributeName LARGEOP

### LONGDESC

public static final AttributeName LONGDESC

### LENGTHADJUST

public static final AttributeName LENGTHADJUST

### MARGINHEIGHT

public static final AttributeName MARGINHEIGHT

### MARGINWIDTH

public static final AttributeName MARGINWIDTH

### ORIGIN

public static final AttributeName ORIGIN

### PING

public static final AttributeName PING

### TARGET

public static final AttributeName TARGET

### TARGETX

public static final AttributeName TARGETX

### TARGETY

public static final AttributeName TARGETY

### ARCHIVE

public static final AttributeName ARCHIVE

### HIGH

public static final AttributeName HIGH

### LIGHTING_COLOR

public static final AttributeName LIGHTING_COLOR

### MATHBACKGROUND

public static final AttributeName MATHBACKGROUND

### METHOD

public static final AttributeName METHOD

### MATHVARIANT

public static final AttributeName MATHVARIANT

### MATHCOLOR

public static final AttributeName MATHCOLOR

### MATHSIZE

public static final AttributeName MATHSIZE

### NOSHADE

public static final AttributeName NOSHADE

### ONCHANGE

public static final AttributeName ONCHANGE

### PATHLENGTH

public static final AttributeName PATHLENGTH

### PATH

public static final AttributeName PATH

### ALTIMG

public static final AttributeName ALTIMG

### ACTIONTYPE

public static final AttributeName ACTIONTYPE

### ACTION

public static final AttributeName ACTION

### ACTIVE

public static final AttributeName ACTIVE

### ADDITIVE

public static final AttributeName ADDITIVE

### BEGIN

public static final AttributeName BEGIN

### DOMINANT_BASELINE

public static final AttributeName DOMINANT_BASELINE

### DIVISOR

public static final AttributeName DIVISOR

### DEFINITIONURL

public static final AttributeName DEFINITIONURL

### LIMITINGCONEANGLE

public static final AttributeName LIMITINGCONEANGLE

### MEDIA

public static final AttributeName MEDIA

### MANIFEST

public static final AttributeName MANIFEST

### ONFINISH

public static final AttributeName ONFINISH

### OPTIMUM

public static final AttributeName OPTIMUM

### RADIOGROUP

public static final AttributeName RADIOGROUP

### RADIUS

public static final AttributeName RADIUS

### SCRIPTLEVEL

public static final AttributeName SCRIPTLEVEL

### SCRIPTSIZEMULTIPLIER

public static final AttributeName SCRIPTSIZEMULTIPLIER

### SCRIPTMINSIZE

public static final AttributeName SCRIPTMINSIZE

### TABINDEX

public static final AttributeName TABINDEX

### VALIGN

public static final AttributeName VALIGN

### VISIBILITY

public static final AttributeName VISIBILITY

### BACKGROUND

public static final AttributeName BACKGROUND

### LINK

public static final AttributeName LINK

### MARKER_MID

public static final AttributeName MARKER_MID

### MARKERHEIGHT

public static final AttributeName MARKERHEIGHT

### MARKER_END

public static final AttributeName MARKER_END

### MASK

public static final AttributeName MASK

### MARKER_START

public static final AttributeName MARKER_START

### MARKERWIDTH

public static final AttributeName MARKERWIDTH

### MASKUNITS

public static final AttributeName MASKUNITS

### MARKERUNITS

public static final AttributeName MARKERUNITS

### MASKCONTENTUNITS

public static final AttributeName MASKCONTENTUNITS

### AMPLITUDE

public static final AttributeName AMPLITUDE

### CELLSPACING

public static final AttributeName CELLSPACING

### CELLPADDING

public static final AttributeName CELLPADDING

### DECLARE

public static final AttributeName DECLARE

### FILL_RULE

public static final AttributeName FILL_RULE

### FILL

public static final AttributeName FILL

### FILL_OPACITY

public static final AttributeName FILL_OPACITY

### MAXLENGTH

public static final AttributeName MAXLENGTH

### ONCLICK

public static final AttributeName ONCLICK

### ONBLUR

public static final AttributeName ONBLUR

### REPLACE

public static final AttributeName REPLACE

### ROWLINES

public static final AttributeName ROWLINES

### SCALE

public static final AttributeName SCALE

### STYLE

public static final AttributeName STYLE

### TABLEVALUES

public static final AttributeName TABLEVALUES

### TITLE

public static final AttributeName TITLE

### AZIMUTH

public static final AttributeName AZIMUTH

### FORMAT

public static final AttributeName FORMAT

### FRAMEBORDER

public static final AttributeName FRAMEBORDER

### FRAME

public static final AttributeName FRAME

### FRAMESPACING

public static final AttributeName FRAMESPACING

### FROM

public static final AttributeName FROM

### FORM

public static final AttributeName FORM

### PROMPT

public static final AttributeName PROMPT

### PRIMITIVEUNITS

public static final AttributeName PRIMITIVEUNITS

### SYMMETRIC

public static final AttributeName SYMMETRIC

### SUMMARY

public static final AttributeName SUMMARY

### USEMAP

public static final AttributeName USEMAP

### ZOOMANDPAN

public static final AttributeName ZOOMANDPAN

### ASYNC

public static final AttributeName ASYNC

### ALINK

public static final AttributeName ALINK

### IN

public static final AttributeName IN

### EVENT

public static final AttributeName EVENT

### ICON

public static final AttributeName ICON

### KERNELMATRIX

public static final AttributeName KERNELMATRIX

### KERNING

public static final AttributeName KERNING

### KERNELUNITLENGTH

public static final AttributeName KERNELUNITLENGTH

### ONUNLOAD

public static final AttributeName ONUNLOAD

### OPEN

public static final AttributeName OPEN

### ONINVALID

public static final AttributeName ONINVALID

### ONEND

public static final AttributeName ONEND

### ONINPUT

public static final AttributeName ONINPUT

### POINTER_EVENTS

public static final AttributeName POINTER_EVENTS

### POINTS

public static final AttributeName POINTS

### POINTSATX

public static final AttributeName POINTSATX

### POINTSATY

public static final AttributeName POINTSATY

### POINTSATZ

public static final AttributeName POINTSATZ

### SPAN

public static final AttributeName SPAN

### STANDBY

public static final AttributeName STANDBY

### TRANSFORM_ORIGIN

public static final AttributeName TRANSFORM_ORIGIN

### TRANSFORM

public static final AttributeName TRANSFORM

### VLINK

public static final AttributeName VLINK

### WHEN

public static final AttributeName WHEN

### XLINK_HREF

public static final AttributeName XLINK_HREF

### XLINK_TITLE

public static final AttributeName XLINK_TITLE

### XLINK_ROLE

public static final AttributeName XLINK_ROLE

### XLINK_ARCROLE

public static final AttributeName XLINK_ARCROLE

### XMLNS_XLINK

public static final AttributeName XMLNS_XLINK

### XMLNS

public static final AttributeName XMLNS

### XLINK_TYPE

public static final AttributeName XLINK_TYPE

### XLINK_SHOW

public static final AttributeName XLINK_SHOW

### XLINK_ACTUATE

public static final AttributeName XLINK_ACTUATE

### AUTOPLAY

public static final AttributeName AUTOPLAY

### AUTOCORRECT

public static final AttributeName AUTOCORRECT

### AUTOCOMPLETE

public static final AttributeName AUTOCOMPLETE

### AUTOFOCUS

public static final AttributeName AUTOFOCUS

### AUTOCAPITALIZE

public static final AttributeName AUTOCAPITALIZE

### BGCOLOR

public static final AttributeName BGCOLOR

### COLOR_PROFILE

public static final AttributeName COLOR_PROFILE

### COLOR_RENDERING

public static final AttributeName COLOR_RENDERING

### COLOR_INTERPOLATION

public static final AttributeName COLOR_INTERPOLATION

### COLOR

public static final AttributeName COLOR

### COLOR_INTERPOLATION_FILTERS

public static final AttributeName COLOR_INTERPOLATION_FILTERS

### ENCODING

public static final AttributeName ENCODING

### EXPONENT

public static final AttributeName EXPONENT

### FLOOD_COLOR

public static final AttributeName FLOOD_COLOR

### FLOOD_OPACITY

public static final AttributeName FLOOD_OPACITY

### LQUOTE

public static final AttributeName LQUOTE

### NUMOCTAVES

public static final AttributeName NUMOCTAVES

### NOMODULE

public static final AttributeName NOMODULE

### ONLOAD

public static final AttributeName ONLOAD

### ONMOUSEWHEEL

public static final AttributeName ONMOUSEWHEEL

### ONMOUSEENTER

public static final AttributeName ONMOUSEENTER

### ONMOUSEOVER

public static final AttributeName ONMOUSEOVER

### ONFOCUSIN

public static final AttributeName ONFOCUSIN

### ONCONTEXTMENU

public static final AttributeName ONCONTEXTMENU

### ONZOOM

public static final AttributeName ONZOOM

### ONCOPY

public static final AttributeName ONCOPY

### ONMOUSELEAVE

public static final AttributeName ONMOUSELEAVE

### ONMOUSEMOVE

public static final AttributeName ONMOUSEMOVE

### ONMOUSEUP

public static final AttributeName ONMOUSEUP

### ONFOCUS

public static final AttributeName ONFOCUS

### ONMOUSEOUT

public static final AttributeName ONMOUSEOUT

### ONFOCUSOUT

public static final AttributeName ONFOCUSOUT

### ONMOUSEDOWN

public static final AttributeName ONMOUSEDOWN

### TO

public static final AttributeName TO

### RQUOTE

public static final AttributeName RQUOTE

### STROKE_LINECAP

public static final AttributeName STROKE_LINECAP

### STROKE_DASHARRAY

public static final AttributeName STROKE_DASHARRAY

### STROKE_DASHOFFSET

public static final AttributeName STROKE_DASHOFFSET

### STROKE_LINEJOIN

public static final AttributeName STROKE_LINEJOIN

### STROKE_MITERLIMIT

public static final AttributeName STROKE_MITERLIMIT

### STROKE

public static final AttributeName STROKE

### SCROLLING

public static final AttributeName SCROLLING

### STROKE_WIDTH

public static final AttributeName STROKE_WIDTH

### STROKE_OPACITY

public static final AttributeName STROKE_OPACITY

### COMPACT

public static final AttributeName COMPACT

### CLIP

public static final AttributeName CLIP

### CLIP_RULE

public static final AttributeName CLIP_RULE

### CLIP_PATH

public static final AttributeName CLIP_PATH

### CLIPPATHUNITS

public static final AttributeName CLIPPATHUNITS

### DISPLAY

public static final AttributeName DISPLAY

### DISPLAYSTYLE

public static final AttributeName DISPLAYSTYLE

### GLYPH_ORIENTATION_VERTICAL

public static final AttributeName GLYPH_ORIENTATION_VERTICAL

### GLYPH_ORIENTATION_HORIZONTAL

public static final AttributeName GLYPH_ORIENTATION_HORIZONTAL

### GLYPHREF

public static final AttributeName GLYPHREF

### HTTP_EQUIV

public static final AttributeName HTTP_EQUIV

### KEYPOINTS

public static final AttributeName KEYPOINTS

### LOOP

public static final AttributeName LOOP

### PROPERTY

public static final AttributeName PROPERTY

### SCOPED

public static final AttributeName SCOPED

### STEP

public static final AttributeName STEP

### SHAPE_RENDERING

public static final AttributeName SHAPE_RENDERING

### SCOPE

public static final AttributeName SCOPE

### SHAPE

public static final AttributeName SHAPE

### SLOPE

public static final AttributeName SLOPE

### STOP_COLOR

public static final AttributeName STOP_COLOR

### STOP_OPACITY

public static final AttributeName STOP_OPACITY

### TEMPLATE

public static final AttributeName TEMPLATE

### WRAP

public static final AttributeName WRAP

### ABBR

public static final AttributeName ABBR

### ATTRIBUTENAME

public static final AttributeName ATTRIBUTENAME

### ATTRIBUTETYPE

public static final AttributeName ATTRIBUTETYPE

### CHAR

public static final AttributeName CHAR

### COORDS

public static final AttributeName COORDS

### CHAROFF

public static final AttributeName CHAROFF

### CHARSET

public static final AttributeName CHARSET

### NOWRAP

public static final AttributeName NOWRAP

### NOHREF

public static final AttributeName NOHREF

### ONDRAG

public static final AttributeName ONDRAG

### ONDRAGENTER

public static final AttributeName ONDRAGENTER

### ONDRAGOVER

public static final AttributeName ONDRAGOVER

### ONDRAGEND

public static final AttributeName ONDRAGEND

### ONDROP

public static final AttributeName ONDROP

### ONDRAGDROP

public static final AttributeName ONDRAGDROP

### ONERROR

public static final AttributeName ONERROR

### OPERATOR

public static final AttributeName OPERATOR

### OVERFLOW

public static final AttributeName OVERFLOW

### ONDRAGSTART

public static final AttributeName ONDRAGSTART

### ONDRAGLEAVE

public static final AttributeName ONDRAGLEAVE

### STARTOFFSET

public static final AttributeName STARTOFFSET

### START

public static final AttributeName START

### AS

public static final AttributeName AS

### AXIS

public static final AttributeName AXIS

### BIAS

public static final AttributeName BIAS

### COLSPAN

public static final AttributeName COLSPAN

### CLASSID

public static final AttributeName CLASSID

### CROSSORIGIN

public static final AttributeName CROSSORIGIN

### COLS

public static final AttributeName COLS

### CURSOR

public static final AttributeName CURSOR

### CLOSURE

public static final AttributeName CLOSURE

### CLOSE

public static final AttributeName CLOSE

### CLASS

public static final AttributeName CLASS

### IS

public static final AttributeName IS

### KEYSYSTEM

public static final AttributeName KEYSYSTEM

### KEYSPLINES

public static final AttributeName KEYSPLINES

### LOWSRC

public static final AttributeName LOWSRC

### MAXSIZE

public static final AttributeName MAXSIZE

### MINSIZE

public static final AttributeName MINSIZE

### OFFSET

public static final AttributeName OFFSET

### PRESERVEALPHA

public static final AttributeName PRESERVEALPHA

### PRESERVEASPECTRATIO

public static final AttributeName PRESERVEASPECTRATIO

### ROWSPAN

public static final AttributeName ROWSPAN

### ROWSPACING

public static final AttributeName ROWSPACING

### ROWS

public static final AttributeName ROWS

### SRCSET

public static final AttributeName SRCSET

### SUBSCRIPTSHIFT

public static final AttributeName SUBSCRIPTSHIFT

### VERSION

public static final AttributeName VERSION

### ALTTEXT

public static final AttributeName ALTTEXT

### CONTENTEDITABLE

public static final AttributeName CONTENTEDITABLE

### CONTROLS

public static final AttributeName CONTROLS

### CONTENT

public static final AttributeName CONTENT

### CONTEXTMENU

public static final AttributeName CONTEXTMENU

### DEPTH

public static final AttributeName DEPTH

### ENCTYPE

public static final AttributeName ENCTYPE

### FONT_STRETCH

public static final AttributeName FONT_STRETCH

### FILTER

public static final AttributeName FILTER

### FONTWEIGHT

public static final AttributeName FONTWEIGHT

### FONT_WEIGHT

public static final AttributeName FONT_WEIGHT

### FONTSTYLE

public static final AttributeName FONTSTYLE

### FONT_STYLE

public static final AttributeName FONT_STYLE

### FONTFAMILY

public static final AttributeName FONTFAMILY

### FONT_FAMILY

public static final AttributeName FONT_FAMILY

### FONT_VARIANT

public static final AttributeName FONT_VARIANT

### FONT_SIZE_ADJUST

public static final AttributeName FONT_SIZE_ADJUST

### FILTERUNITS

public static final AttributeName FILTERUNITS

### FONTSIZE

public static final AttributeName FONTSIZE

### FONT_SIZE

public static final AttributeName FONT_SIZE

### KEYTIMES

public static final AttributeName KEYTIMES

### LETTER_SPACING

public static final AttributeName LETTER_SPACING

### LIST

public static final AttributeName LIST

### MULTIPLE

public static final AttributeName MULTIPLE

### RT

public static final AttributeName RT

### ONSTOP

public static final AttributeName ONSTOP

### ONSTART

public static final AttributeName ONSTART

### POSTER

public static final AttributeName POSTER

### PATTERNTRANSFORM

public static final AttributeName PATTERNTRANSFORM

### PATTERN

public static final AttributeName PATTERN

### PATTERNUNITS

public static final AttributeName PATTERNUNITS

### PATTERNCONTENTUNITS

public static final AttributeName PATTERNCONTENTUNITS

### RESTART

public static final AttributeName RESTART

### STITCHTILES

public static final AttributeName STITCHTILES

### SYSTEMLANGUAGE

public static final AttributeName SYSTEMLANGUAGE

### TEXT_RENDERING

public static final AttributeName TEXT_RENDERING

### TEXT_DECORATION

public static final AttributeName TEXT_DECORATION

### TEXT_ANCHOR

public static final AttributeName TEXT_ANCHOR

### TEXTLENGTH

public static final AttributeName TEXTLENGTH

### TEXT

public static final AttributeName TEXT

### WRITING_MODE

public static final AttributeName WRITING_MODE

### WIDTH

public static final AttributeName WIDTH

### ACCUMULATE

public static final AttributeName ACCUMULATE

### COLUMNSPAN

public static final AttributeName COLUMNSPAN

### COLUMNLINES

public static final AttributeName COLUMNLINES

### COLUMNALIGN

public static final AttributeName COLUMNALIGN

### COLUMNSPACING

public static final AttributeName COLUMNSPACING

### COLUMNWIDTH

public static final AttributeName COLUMNWIDTH

### GROUPALIGN

public static final AttributeName GROUPALIGN

### INPUTMODE

public static final AttributeName INPUTMODE

### ONSUBMIT

public static final AttributeName ONSUBMIT

### ONCUT

public static final AttributeName ONCUT

### REQUIRED

public static final AttributeName REQUIRED

### REQUIREDFEATURES

public static final AttributeName REQUIREDFEATURES

### RESULT

public static final AttributeName RESULT

### REQUIREDEXTENSIONS

public static final AttributeName REQUIREDEXTENSIONS

### VALUES

public static final AttributeName VALUES

### VALUETYPE

public static final AttributeName VALUETYPE

### VALUE

public static final AttributeName VALUE

### ELEVATION

public static final AttributeName ELEVATION

### VIEWTARGET

public static final AttributeName VIEWTARGET

### VIEWBOX

public static final AttributeName VIEWBOX

### CX

public static final AttributeName CX

### DX

public static final AttributeName DX

### FX

public static final AttributeName FX

### RX

public static final AttributeName RX

### REFX

public static final AttributeName REFX

### BY

public static final AttributeName BY

### CY

public static final AttributeName CY

### DY

public static final AttributeName DY

### FY

public static final AttributeName FY

### RY

public static final AttributeName RY

### REFY

public static final AttributeName REFY

## Method Details

### isNcName

public boolean isNcName(int mode)
Queries whether this name is an XML 1.0 4th ed. NCName.

Parameters:
  `mode` - the SVG/MathML/HTML mode
Returns:
  `true` if this is an NCName in the given mode

### isXmlns

public boolean isXmlns()
Queries whether this is an `xmlns` attribute.

Returns:
  `true` if this is an `xmlns` attribute

### getQName

public String getQName(int mode)

### getUri

public String getUri(int mode)

### getLocal

public String getLocal(int mode)

### getPrefix

public String getPrefix(int mode)